@echo off

call validate_iffxiso.bat

if not exist extracted  mkdir extracted
ffxlba -e -f "%iffxiso%"  wiso\lBt.txt  extracted\

if not exist extdec  mkdir  extdec
FOR %%i IN (extracted\*.bt.c?) DO ffxcxd.exe   "%%i"  "extdec\%%~ni"

rem rename those with duplicit texts, for later use
if exist "extdec\1687.bt"  move /Y  "extdec\1687.bt"  "extdec\1687.bt.dt" >NUL
if exist "extdec\1813.bt"  move /Y  "extdec\1813.bt"  "extdec\1813.bt.dt" >NUL
if exist "extdec\1246.bt"  move /Y  "extdec\1246.bt"  "extdec\1246.bt.dt" >NUL
if exist "extdec\1249.bt"  move /Y  "extdec\1249.bt"  "extdec\1249.bt.dt" >NUL
if exist "extdec\1252.bt"  move /Y  "extdec\1252.bt"  "extdec\1252.bt.dt" >NUL
if exist "extdec\1257.bt"  move /Y  "extdec\1257.bt"  "extdec\1257.bt.dt" >NUL
if exist "extdec\1258.bt"  move /Y  "extdec\1258.bt"  "extdec\1258.bt.dt" >NUL
if exist "extdec\1259.bt"  move /Y  "extdec\1259.bt"  "extdec\1259.bt.dt" >NUL
if exist "extdec\1260.bt"  move /Y  "extdec\1260.bt"  "extdec\1260.bt.dt" >NUL
if exist "extdec\1261.bt"  move /Y  "extdec\1261.bt"  "extdec\1261.bt.dt" >NUL
if exist "extdec\1262.bt"  move /Y  "extdec\1262.bt"  "extdec\1262.bt.dt" >NUL
if exist "extdec\1274.bt"  move /Y  "extdec\1274.bt"  "extdec\1274.bt.dt" >NUL
if exist "extdec\1275.bt"  move /Y  "extdec\1275.bt"  "extdec\1275.bt.dt" >NUL
if exist "extdec\1298.bt"  move /Y  "extdec\1298.bt"  "extdec\1298.bt.dt" >NUL
if exist "extdec\1299.bt"  move /Y  "extdec\1299.bt"  "extdec\1299.bt.dt" >NUL
if exist "extdec\1300.bt"  move /Y  "extdec\1300.bt"  "extdec\1300.bt.dt" >NUL
if exist "extdec\1301.bt"  move /Y  "extdec\1301.bt"  "extdec\1301.bt.dt" >NUL
if exist "extdec\1305.bt"  move /Y  "extdec\1305.bt"  "extdec\1305.bt.dt" >NUL
if exist "extdec\1306.bt"  move /Y  "extdec\1306.bt"  "extdec\1306.bt.dt" >NUL
if exist "extdec\1307.bt"  move /Y  "extdec\1307.bt"  "extdec\1307.bt.dt" >NUL
if exist "extdec\1308.bt"  move /Y  "extdec\1308.bt"  "extdec\1308.bt.dt" >NUL
if exist "extdec\1311.bt"  move /Y  "extdec\1311.bt"  "extdec\1311.bt.dt" >NUL
if exist "extdec\1988.bt"  move /Y  "extdec\1988.bt"  "extdec\1988.bt.dt" >NUL
if exist "extdec\1380.bt"  move /Y  "extdec\1380.bt"  "extdec\1380.bt.dt" >NUL
if exist "extdec\1387.bt"  move /Y  "extdec\1387.bt"  "extdec\1387.bt.dt" >NUL
if exist "extdec\1554.bt"  move /Y  "extdec\1554.bt"  "extdec\1554.bt.dt" >NUL
if exist "extdec\1632.bt"  move /Y  "extdec\1632.bt"  "extdec\1632.bt.dt" >NUL
if exist "extdec\1634.bt"  move /Y  "extdec\1634.bt"  "extdec\1634.bt.dt" >NUL
if exist "extdec\1636.bt"  move /Y  "extdec\1636.bt"  "extdec\1636.bt.dt" >NUL
if exist "extdec\1637.bt"  move /Y  "extdec\1637.bt"  "extdec\1637.bt.dt" >NUL
if exist "extdec\1638.bt"  move /Y  "extdec\1638.bt"  "extdec\1638.bt.dt" >NUL

